import request from '@/utils/request'

// 查询户型信息：house_type列表
export function listHouseType(query) {
  return request({
    url: '/type/houseType/list',
    method: 'get',
    params: query
  })
}

// 查询户型信息：house_type详细
export function getHouseType(typeId) {
  return request({
    url: '/type/houseType/' + typeId,
    method: 'get'
  })
}

// 新增户型信息：house_type
export function addHouseType(data) {
  return request({
    url: '/type/houseType',
    method: 'post',
    data: data
  })
}

// 修改户型信息：house_type
export function updateHouseType(data) {
  return request({
    url: '/type/houseType',
    method: 'put',
    data: data
  })
}

// 删除户型信息：house_type
export function delHouseType(typeId) {
  return request({
    url: '/type/houseType/' + typeId,
    method: 'delete'
  })
}

// 导出户型信息：house_type
export function exportHouseType(query) {
  return request({
    url: '/type/houseType/export',
    method: 'get',
    params: query
  })
}
